Bug 1250286 - [GSS](6.4.z) JAVASERVERFACES-3241 - IndexOutOfBoundsException caused by javax.faces.component.AttachedObjectListHolder::restoreState(FacesContext context, Object state)
[GSS](6.4.z) JAVASERVERFACES-3241 - IndexOutOfBoundsException caused by javax...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JSF (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.5
Assigned To: Chao Wang
Pavol Pitonak
:
Depends On:
Blocks: 1235745 1251856
  Show dependency treegraph
 
Reported: 2015-08-04 22:59 EDT by Takayuki Konishi
Modified: 2017-01-17 06:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
r13732.patch (11.46 KB, patch)
2015-08-05 06:42 EDT, Chao Wang
no flags Details | Diff

  None (edit)
Description Takayuki Konishi 2015-08-04 22:59:42 EDT
see https://java.net/jira/browse/JAVASERVERFACES-3241
Comment 3 Chao Wang 2015-08-05 06:42:07 EDT
Created attachment 1059405 [details]
r13732.patch

Attach revision 13732 patch, real fix is part:

Index: jsf-api/src/main/java/javax/faces/component/AttachedObjectListHolder.java
===================================================================
--- jsf-api/src/main/java/javax/faces/component/AttachedObjectListHolder.java	(revision 13731)
+++ jsf-api/src/main/java/javax/faces/component/AttachedObjectListHolder.java	(revision 13732)
@@ -157,7 +157,7 @@
             for (int i = 0, len = attachedObjects.length; i < len; i++) {
                 T restored = (T) ((StateHolderSaver) attachedObjects[i]).restore(context);
                 if (restored != null) {
-                    this.attachedObjects.add(restored);
+                    add(restored);
                 }
             }
         } else {
Comment 7 Rostislav Svoboda 2015-08-24 08:15:26 EDT
qa_acking
Fix in https://github.com/jboss/jboss-jsf-api_spec/tree/jboss-jsf-api_2.1_spec-2.1.28.1.Final corresponds to patch shown in Comment 3
Comment 11 Petr Penicka 2017-01-17 06:43:15 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 12 Petr Penicka 2017-01-17 06:43:17 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.